List all Columns
curl --request GET \
--url https://api.honeycomb.io/1/columns/{datasetSlug} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/columns/{datasetSlug}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/columns/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/columns/{datasetSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/columns/{datasetSlug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.honeycomb.io/1/columns/{datasetSlug}")
.header("X-Honeycomb-Team", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/columns/{datasetSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "yUheCUmgZ8p",
"key_name": "my_column",
"hidden": false,
"description": "",
"type": "integer",
"last_written": "2022-07-26T22:38:05Z",
"created_at": "2022-07-26T22:38:04Z",
"updated_at": "2022-07-26T22:38:04Z"
},
{
"id": "yUheCUmgZ8q",
"key_name": "other_column",
"hidden": false,
"description": "",
"type": "string",
"last_written": "2022-07-26T22:38:05Z",
"created_at": "2022-07-26T22:38:04Z",
"updated_at": "2022-07-26T22:38:04Z"
}
]
List all Columns
Get all the Columns in a dataset or environment.
Use __all__ as the dataset slug to retrieve all Columns across all datasets in the environment (not available for classic environments).
GET
/
1
/
columns
/
{datasetSlug}
List all Columns
curl --request GET \
--url https://api.honeycomb.io/1/columns/{datasetSlug} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/columns/{datasetSlug}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/columns/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeycomb.io/1/columns/{datasetSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Honeycomb-Team: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.honeycomb.io/1/columns/{datasetSlug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Honeycomb-Team", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.honeycomb.io/1/columns/{datasetSlug}")
.header("X-Honeycomb-Team", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeycomb.io/1/columns/{datasetSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Honeycomb-Team"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "yUheCUmgZ8p",
"key_name": "my_column",
"hidden": false,
"description": "",
"type": "integer",
"last_written": "2022-07-26T22:38:05Z",
"created_at": "2022-07-26T22:38:04Z",
"updated_at": "2022-07-26T22:38:04Z"
},
{
"id": "yUheCUmgZ8q",
"key_name": "other_column",
"hidden": false,
"description": "",
"type": "string",
"last_written": "2022-07-26T22:38:05Z",
"created_at": "2022-07-26T22:38:04Z",
"updated_at": "2022-07-26T22:38:04Z"
}
]
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
Response
When listing all columns, an array of Column objects will be returned. When using key_name, will return a single Column object if found.
- object[]
- object